<script lang="ts">
  import type { Side } from '@svelte-common/menu/hamburger-menu/hamburger-menu.js';
  import { isOpened } from '../stores/drawer-menu-store.js';
  import './hamburger-menu.css';

  export let side: Side;
</script>

<label class="hamburger-menu {side}">
  <input
    type="checkbox"
    bind:checked={$isOpened} />
</label>

<style>
  .hamburger-menu.right {
    width: var(--hamburger-menu-bar-width);
    transform: scaleX(-1);
    transform-origin: middle center;
  }

  .hamburger-menu input,
  .hamburger-menu::before,
  .hamburger-menu::after {
    transform-origin: left center;
  }

  .hamburger-menu:has(input:checked)::before {
    width: var(--hamburger-menu-x-width);
    rotate: 45deg;
    translate: 0 calc(var(--hamburger-menu-bar-height) / -2);
  }

  .hamburger-menu:has(input:checked)::after {
    width: var(--hamburger-menu-x-width);
    rotate: -45deg;
    translate: 0 calc(var(--hamburger-menu-bar-height) / 2);
  }

  .hamburger-menu input:checked {
    width: 0;
    opacity: 0;
  }
</style>
